import {
  Column,
  Entity,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Price } from 'src/prices/entities/prices.entity';
import { User } from 'src/users/entities/user.entity';

@Entity('Links')
export class Link {
  @PrimaryGeneratedColumn()
  id!: number;

  @Column()
  url: string;

  @Column({ type: 'timestamp', nullable: true })
  lastCheckDate: Date;

  @OneToMany(() => Price, (price) => price.link)
  prices: Price[];

  @ManyToOne(() => User, (user) => user.links)
  user: User;
}
