import {
  Column,
  CreateDateColumn,
  Entity,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Link } from 'src/links/entities/links.entity';

@Entity('Prices')
export class Price {
  @PrimaryGeneratedColumn()
  id!: number;

  @Column()
  value: number;

  @CreateDateColumn()
  createdDate: Date;

  @ManyToOne(() => Link, (link) => link.prices)
  link!: Link;
}
